Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy Arkance Systems [www.cadforum.cz]
CZ | SK | EN | DE
Přihlášení
či registrace
   právě nás čte: 3271 
RSS kanál - CAD tipy RSS tipy
RSS diskuze

Diskuze Diskuzní fórum, poradna

 

NápovědaCAD diskuze, rady, výměna zkušeností

 
CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy Arkance Systems (CAD Studio) - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

LISP - vytvoření středové křivky

 Odpovědět Odpovědět archiv
Autor
hoboj Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 22.led.2008
Lokalita: ČR (HK)
Používám:
NX; ProE; Creo; I13; AutoCAD2011, SurfCAM, EdgeCAM
Stav: Offline
Bodů: 811
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace hoboj Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: LISP - vytvoření středové křivky
    Zasláno: 24.kvě.2023 v 08:41
Dobrý den, 
věděl by někdo, jak vytvořit lisp na vytvoření křivky uprostřed 2 křivek? Něco jako střed točité silnice vč. zúžení a rozšíření? 
Děkuji
Připojené náhledyPřihlaste se pro zobrazení plné verze - 6128/1_2023-05-24_08-42-37.JPG

Vojtěch Visingr
Zpět nahoru
PepaR Zobrazit panel
CAD/BIM manager
CAD/BIM manager
Avatar

Přihlášen: 29.lis.2004
Lokalita: ČR (ZL)
Používám:
ruky a hlavu (občas ;)
Stav: Offline
Bodů: 6187
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace PepaR Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 24.kvě.2023 v 09:59
Dobrý den, měl by to umět příkaz  STŘEDOSA (_CENTERLINE), případně lze použít tento lisp, pokud jej dohledáte někde na netu ke stažení.

Upravil PepaR - 25.kvě.2023 v 05:50
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
Arkance Systems

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 21533
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Vladimír Michl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 24.kvě.2023 v 10:21
Vladimír Michl (moderátor)
Arkance Systems s.r.o. - www.arkance-systems.cz
(podpora viz hd.cads.cz)
Zpět nahoru
hoboj Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 22.led.2008
Lokalita: ČR (HK)
Používám:
NX; ProE; Creo; I13; AutoCAD2011, SurfCAM, EdgeCAM
Stav: Offline
Bodů: 811
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace hoboj Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 24.kvě.2023 v 10:38
Dobrý den, pane Michle, 
děkuji za tip, curveaxis jsem zkoušel, ale je pro mé potřeby nedostačující, třeba u dvou křivek, jak jsem přidal obrázek tento lisp neudělá středovou křivku, jak bych potřeboval, ale je deformovaná. U "S" zatáčky je taky zakřivená jinak, než je střed. Děkuji
Vojtěch Visingr
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
Arkance Systems

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 21533
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Vladimír Michl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 24.kvě.2023 v 13:13
Ono je to matematicky trochu "sporné" jak má vypadat osa v těch asymetrických případech - obvykle se používá algoritmus valící se kružnice, ale i ten tam udělá "ocásek" - viz příkaz CURVEAXISRB doplněný do utility CurveAxis.
Vladimír Michl (moderátor)
Arkance Systems s.r.o. - www.arkance-systems.cz
(podpora viz hd.cads.cz)
Zpět nahoru
hoboj Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 22.led.2008
Lokalita: ČR (HK)
Používám:
NX; ProE; Creo; I13; AutoCAD2011, SurfCAM, EdgeCAM
Stav: Offline
Bodů: 811
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace hoboj Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 24.kvě.2023 v 13:50
Ano, už jsem dohledal nyní i tento případ. Asi by mi stačil jednoduchý lisp se zadáním počátečního bodu křivky (pline)->počateční bod -> _m2p (výběr poloviny) -> dokud neukončím. 

Děkuji
Vojtěch Visingr
Zpět nahoru
johny Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 24.led.2006
Lokalita: ČR (JM)
Používám:
C3D 2022
Stav: Offline
Bodů: 1682
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace johny Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 24.kvě.2023 v 14:13

(defun c:pmid ( / p r)

  (command "_.pline")
  (while (setq p (progn (initget "Undo") (getpoint "\nFirst point [Undo]: ")))
    (if (= p "Undo")
      (command "_Undo")
      (and (setq r (getpoint p "\nSecond point: "))
   (command "_m2p" "_non" p "_non" r))))
  (command "")
  (princ)
  )


Upravil johny - 24.kvě.2023 v 15:40
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 2412:Jak v Inventoru nakreslit evolventu, cykloidu, řetězovku či jinou křivku?
Tip 10248:Uchopovací mód Geometrický střed v AutoCADu 2016.
Tip 10385:Vytvoření pracovního bodu ve středu drážky (šlicové díry)
Tip 11024:Jak zkonstruovat osu dvou křivek? (osovou křivku)
Tip 4635:VIPNedokumentovaný příkaz ADT pro vytvoření obvodové křivky.
Tip 4304:VIPSnadné vytvoření pole prvků rozmístěných podél křivky v Inventoru.


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,603 sekund.